$desktop_width: 4096px;
$tablet_width: 1024px;
$mobile_width: 640px;

$breakpoint-xs: 0;
$breakpoint-sm: 576px;
$breakpoint-md: 768px;
$breakpoint-lg: 992px;
$breakpoint-xl: 1200px;
/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/

@media (min-width: 1281px) {
  /* CSS */
}

/* 
  ##Device = Laptops, Desktops
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {
  /* CSS */
}

/* 
  ##Device = Tablets, Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {
  /* CSS */
}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  /* CSS */
}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {
  /* CSS */
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {
  /* CSS */
}

@mixin media_desktop {
  @media only screen
    and (max-width: #{$desktop_width}) {
    @content;
  }
}

@mixin media_tablet {
  @media only screen
    and (max-width: #{$tablet_width}) {
    @content;
  }
}
@mixin media_mobile {
  @media only screen
    and (max-width: #{$mobile_width}) {
    @content;
  }
}

@mixin media_ie {
  // ie9+ (for applying rules USE !important)
  @media screen and (min-width: 0\0) and (min-resolution: +72dpi) {
    @content;
  }
}

@mixin media_edge {
  @supports (-ms-accelerator: true) {
    @content;
  }
}
